## org.apache.poi.openxml4j.opc.internal.marshallers
Class DefaultMarshaller

    java.lang.Object
      org.apache.poi.openxml4j.opc.internal.marshallers.DefaultMarshaller

All Implemented Interfaces:
  PartMarshaller

    public final class DefaultMarshaller

extends java.lang.Object
implements PartMarshaller

Default marshaller that specified that the part is responsible to marshall its content.

Version:
  1.0
Author:
  Julien Chable
See Also:
  `PartMarshaller`

Constructor Summary
`DefaultMarshaller()`

Method Summary
`boolean` `marshall(PackagePart part, java.io.OutputStream out)` Save part in the output stream by using the save() method of the part.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMarshaller

    public DefaultMarshaller()

Method Detail

### marshall

    public boolean marshall(PackagePart part,
                            java.io.OutputStream out)
                     throws OpenXML4JException

  Save part in the output stream by using the save() method of the part.

  Specified by:
    `marshall` in interface `PartMarshaller`
  Parameters:
    `part` - Part to marshall.
    `out` - The output stream into which the part will be marshall.
  Returns:
    false if any marshall error occurs, else true
  Throws:
    `OpenXML4JException` - If any error occur.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.